Bug 818239 - Designer does not show default service task icon since ER6 when icon location was ommited
Designer does not show default service task icon since ER6 when icon location...
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: jBPM 5 (Show other bugs)
BRMS 5.3.0.GA
Unspecified Unspecified
unspecified Severity low
: ER7
: BRMS 5.3.0.GA
Assigned To: Ryan Zhang
Sona Mala
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-02 10:39 EDT by Jiri Svitak
Modified: 2016-07-31 21:11 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Svitak 2012-05-02 10:39:11 EDT
In BRMS 5.3.0 ER5 when I did not specify the icon location property in my work item definition like this:

"icon" : "",

I was still able to see default service task icon in the Designer palette and canvas. However since ER6, there is just 'empty picture' in the palette and no picture in the item on the canvas.
Comment 1 Tihomir Surdilovic 2012-05-02 11:56:06 EDT
I am not able to reproduce this issue. When specifying a blank icon value the default service node icon shows up both in the stencil set as well as in the top-left corner of the service task on the canvas.
Comment 2 Jiri Svitak 2012-05-03 05:01:55 EDT
I have checked this again. There are no icons available in ER6 to choose from. Also default service tasks - log and email - are missing. It seems, that something went wrong during productization. Reassigning the bug.

Ryan, please make sure that ER7 will include the default icons for service tasks and the log and email service tasks in all profiles. Thanks.
Comment 3 Tihomir Surdilovic 2012-05-09 13:10:42 EDT
I still cannot reproduce this locally :( When the process starts loading, Designer checks the process package if it already includes the default icons or not, and if not installs them as assets in Guvnor. Maybe the designer configuration to point to "jboss-brms" instead of "drools-guvnor" was not correctl?
Comment 4 Ryan Zhang 2012-05-10 22:47:58 EDT
I cannot reproduce this either. Will contack Jiri this before I do ER7.
Comment 5 Zuzana Krejčová 2012-05-11 06:29:31 EDT
I managed to reproduce this with ER6 standalone. I have this:
<externalloadurl protocol="http" host="localhost:8080" subdomain="jboss-brms/org.drools.guvnor.Guvnor/oryxeditor" usr="admin" pwd="admin"/>
    <servicerepository location="http://people.redhat.com/kverlaen/repository"/> 
in the jbpm.xml in the designer war and this:
#Generic guvnor configuration
guvnor.url=http://localhost:8080/jboss-brms
in the preferences.properties in the guvnor war.

I cleaned up my local guvnor repository before starting the server. Further steps in guvnor were:
1) create a new package called pkg
2) create a work item definition wid in that package
3) click into the editor and try to choose an icon

There was no icon to choose from. And no icons listed in Other assets either.

The key to this is - I didn't have any processes in that package. Once you create a process in a package, the icons appear there too - in Other assets and as an option in the WID editor.
Also, it seems you have to create the process, importing or changing package don't seem to work like that.
Comment 6 Tihomir Surdilovic 2012-05-11 11:17:31 EDT
Zuzana, you are completely right. The issue was that designer was only installing the default icons if there was no .wid file present in the package. I have updated the code to install the default icons even if there are some workitem definitions present, but the default icons are not. 

Fix checked into Designer master and 2.2.x branches.
Comment 9 Sona Mala 2012-05-22 09:21:35 EDT
I tested this issue on ER7. 
  - clean up repository (command line: rm -rf <ER7>/jboss-as/bin/repository*)
  - start ER7
  - create new Work Item definition (in "deafultPackage" or new "pkg" ... does not matter)
  - select icon from the list (but list is empty)


Exactly how Zuzana wrote, icons appears after I created new BPMN2 process.

Please, tell me if there is some problem in my steps to reproduce this issue. Are they correct? I think that nothing change from comment #5 and issue should not be verified.
Comment 10 Tihomir Surdilovic 2012-05-23 09:01:23 EDT
Designer copies the default icons to Guvnor when you open a new or existing process. During the opening Designer checks if your icons exist in your package and if not creates them in Guvnor for you. If they already exist then it just moves on. So in order to see the icons you must first open a process in your package. What you can do if you choose to create the workitem definition before opening the process just leave the value of the icon attribute in your service nodes as "" (blank) and designer will then use the default service node icon. After opening the process, go back to your workitem definition and specify specific icons if needed.

Hope this helps.
Comment 11 Sona Mala 2012-05-23 10:02:34 EDT
Ok. Possitive is that, there is default icon in designer and not empty icon.

But still user must take one step more then is necessary (open and close BPMN2 process ... because new icon is visible after you restart designer).
Comment 12 Tihomir Surdilovic 2012-05-23 12:12:14 EDT
Yes this is a limitation that we should probably document even tho I think the number of possible users wanting to use our default email or log icons is slim as they can always upload their own icons and use them in a workitem config without ever opening/using the Designer. The Designer default images reside in designer until a bpmn2 process is being edited at which point it moves them to the process package in guvnor. One option would be to host these default icons in Guvnor tobegin with, however given Guvnor and Designer different release cycles this is almost impossible and probably not desirable to achieve as Designer would not be able to upgrade them without a Guvnor release.

HTH
Comment 13 Ryan Zhang 2012-05-24 05:46:14 EDT
Could this be regarded as VERIFIED, Or we need to mark the behavivor in docs?
Comment 14 Sona Mala 2012-05-24 06:52:42 EDT
I agree with tsurdilo. Just documented workaround in KnowledgeBase on CustomerPortal.

Note You need to log in before you can comment on or make changes to this bug.